<html>
<? include("../config.php")?>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<style type="text/css">
	body { font-family: Verdana, Arial, Helvetica, sans-serif;}
	a.at-term {	font-style: italic; }
	</style>
	<title>Definindo uma interface de usurio</title>
	<meta name="Generator" content="ATutor">
	<meta name="Keywords" content="">
	<link rel="stylesheet" type="text/css" href="../map.css"/>
	<link rel="stylesheet" type="text/css" href="../template_css.css" />
</head>
<body> <br />No captulo <b>Estrutura de uma aplicao</b> vimos quatro elementos bsicos que compem uma aplicao MapServer:<br /><br /></p><ol><li>Mapas</li><li>MapFile</li><li>Formulrio de inicializao</li><li>Arquivos Template</li></ol>J vimos pelos captulos anteriores como fazer para que MapFiles sejam configurados para carregar Mapas. Agora, veremos como fazer para inicializar aplicaes MapServer com interface de usurio previamente definidas.<br /><br />
<h3>MapFile</h3><p>1. Crie um arquivo chamado <span style="font-weight: bold;">exercicio05.map</span> na pasta:<br /> <img alt="Windows" src="../img/icon_windows.png" /> <span style="color: blue;"><font face="Courier">C:/ms4w/apps/mapserver-intro-pt/mapfiles/</font></span> <br />ou <img alt="Linux" src="../img/icon_linux.png" /> <span style="color: blue;"><font face="Courier">/var/www/html/mapserver-intro-pt/mapfiles/<br /></font></span></p>2. Edite o arquivo <span style="font-weight: bold;">exercicio05.map</span> e insira nele o seguinte contedo:<br /><span><span class="S11">MAP</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">EXTENT</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S10">-</span><span class="S2">53.11</span><span class="S0"> </span><span class="S10">-</span><span class="S2">25.312</span><span class="S0"> </span><span class="S10">-</span><span class="S2">44.161</span><span class="S0"> </span><span class="S10">-</span><span class="S2">19.779</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">SHAPEPATH</span><span class="S0">&nbsp; &nbsp;</span><span class="S3">"../mapas/"</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">SIZE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">400</span><span class="S0"> </span><span class="S2">300</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">STATUS</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">ON</span><span class="S0"> </span><span class="S1"># linha 5 : o STATUS quando definido como ON </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S1"># no objeto MAP, informa para o MapServer que este dever gerar </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S1"># imagens temporrias do Mapa no diretrio definido em WEB-&gt;IMAGEPATH.</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"exercicio05"</span><span class="S0"> </span><span class="S1"># linha 8: esta 'string' define o </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S1"># prefixo que ser usado para nomear as imagens temporrias geradas.</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">WEB</span><span class="S0">&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># linha 11: inicia a declarao do objeto WEB.</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S1"># Este objeto  necessrio quando se deseja definir uma interface</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S1"># de usurio para a aplicao.</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">IMAGEPATH</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; </span><span class="S3">"/ms4w/tmp/ms_tmp/"</span><span class="S0">&nbsp; &nbsp;</span><span class="S1"># linha 14: informa o caminho relativo</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># ou absoluto do diretrio onde sero geradas as imagens temporrias.</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># Este diretrio deve possuir permisses de escrita para o usurio</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># do servidor web.</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">IMAGEURL</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"/ms_tmp/"</span><span class="S0">&nbsp;</span><span class="S1"># linha 18: informa a</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># URL que ser usada para localizar as imagens temporrias.</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TEMPLATE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"exercicio05_web_template.html"</span><span class="S0"> </span><span class="S1"># linha 20:</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># o arquivo Template do objeto WEB define o caminho relativo ou absoluto</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># da pgina HTML que ser usada como modelo para definio da interface</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># da aplicao.</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LAYER</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"uf"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">POLYGON</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DATA</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sp_uf"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">STATUS</span><span class="S0">&nbsp; </span><span class="S11">DEFAULT</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"So Paulo"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">OUTLINECOLOR</span><span class="S0">&nbsp; &nbsp; </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">255</span><span class="S0"> </span><span class="S2">192</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LAYER</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"muni"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">POLYGON</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DATA</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sp_muni"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"Municpios"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">OUTLINECOLOR</span><span class="S0">&nbsp; &nbsp; </span><span class="S2">144</span><span class="S0"> </span><span class="S2">144</span><span class="S0"> </span><span class="S2">144</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">192</span><span class="S0"> </span><span class="S2">192</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LAYER</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"rvia"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">LINE</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DATA</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sp_rvia"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASSITEM</span><span class="S0">&nbsp; &nbsp;</span><span class="S3">"PRINCIPAL"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"Rodovia principal"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">128</span><span class="S0"> </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">EXPRESSION</span><span class="S0">&nbsp; &nbsp; &nbsp; </span><span class="S3">"SIM"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><span class="S0">&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"Rodovia secundria"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">32</span><span class="S0"> </span><span class="S2">64</span><span class="S0"> </span><span class="S2">128</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">EXPRESSION</span><span class="S0">&nbsp; &nbsp; &nbsp; </span><span class="S3">"NAO"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S11">END</span><br />
<span class="S0"></span></span><br /><br /><h3>Formulrio de inicializao</h3><p>1. Crie um arquivo chamado <span style="font-weight: bold;">exercicio05_iniciar.html</span> na pasta:<br /></p>
<img src="../img/icon_windows.png" alt="Windows" /> <span style="color: blue;"><font face="Courier">C:/ms4w/apps/mapserver-intro-pt/mapfiles/</font></span> <br />ou <img src="../img/icon_linux.png" alt="Linux" /> <span style="color: blue;"><font face="Courier">/var/www/html/mapserver-intro-pt/mapfiles/<br /></font></span>
<p>2. Edite o arquivo <span style="font-weight: bold;">exercicio05_iniciar.html</span> e defina seu contedo de acordo com sua plataforma(Windows ou Linux).<br /></p>
<img alt="Windows" src="../img/icon_windows.png" /><span style="font-style: italic;">verso Windows</span>: clique <a href="../html/exercicio05_iniciar-windows-dump.html" target="_show">aqui</a> para visualizar.<br /><br/><img alt="Linux" src="../img/icon_linux.png" /><span style="font-style: italic;">verso Linux</span>: clique <a href="../html/exercicio05_iniciar-linux-dump.html" target="_show">aqui</a> para visualizar.<br /><br /><span style="font-weight: bold;">Linha 5</span>: o parmetro <span style="font-style: italic;">action</span> do formulrio define o destino de envio dos dados do formulrio. Ou seja, na prtica  o endereo URL do MapServer CGI.<br /><br /><span style="font-weight: bold;">Linha 7</span>: o parmetro <span style="font-style: italic;">program</span>, aqui enviado na forma de um parmetro oculto( hidden), tem o mesmo valor do item especificado na <span style="font-weight: bold;">linha 5</span> e  necessrio para que a aplicao funcione adequadamente aps sua inicializao.<br /><br /><span style="font-weight: bold;">Linha 9</span>: o parmetro <span style="font-style: italic;">map</span> indica o MapFile que ser processado pelo MapServer CGI.<br /><br />
<h3>Arquivo Template</h3>1. Crie um arquivo chamado <span style="font-weight: bold;">exercicio05_web_template.html</span> na pasta:<br /><img alt="Windows" src="../img/icon_windows.png" /> <span style="color: blue;"><font face="Courier">C:/ms4w/apps/mapserver-intro-pt/mapfiles/</font></span> <br />ou <img alt="Linux" src="../img/icon_linux.png" /> <span style="color: blue;"><font face="Courier">/var/www/html/mapserver-intro-pt/mapfiles/<br /></font></span>
<br />2. Edite o arquivo <span style="font-weight: bold;">exercicio05_web_template.html</span> e insira nele o seguinte contedo:<br />clique <a href="../html/exercicio05_web_template-dump.html" target="_show">aqui</a> para visualizar.<br /><br />Note que este arquivo foi referenciado no MapFile na <span style="font-weight: bold;">linha 20</span>, na propriedade  <span style="color: gray;">TEMPLATE</span> do objeto <span style="color: gray;"><span style="font-weight: bold;">WEB</span></span>.<br /><br /><h3>Resultado</h3><p>Para testar, abra uma janela do seu navegador e digite o endereo:<br /><a target="_show" href="<? echo $szHost;?>mapserver-intro-pt/mapfiles/exercicio05_iniciar.html"><? echo $szHost;?>mapserver-intro-pt/mapfiles/exercicio05_iniciar.html</a><br /></p>E ento, para iniciar a aplicao, clique no boto <span style="font-weight: bold;">Iniciar</span>.<br /><br />Aps a inicializao da aplicao, voc dever ver uma janela como <a target="_blank" href="../img/exercicio05_resultado.png">esta</a>.<br /><br /><h3>Explicando...</h3><h4>Inicializao</h4><p>Aps clicar no boto <span style="font-weight: bold;">Iniciar</span> os parmetros contidos no formulrio do arquivo <span style="font-weight: bold;">exercicio05_iniciar.html</span>( <span style="font-style: italic;">program</span> e <span style="font-style: italic;">map</span>) so enviados ao executvel CGI do MapServer. Como no foi enviado o parmetro <span style="font-style: italic;">mode</span>( que nos exerccios anteriores fora definido com valor <span style="font-style: italic;">map</span>), o MapServer  iniciado automaticamente com <span style="font-style: italic;">mode = browse</span>. O modo <span style="font-style: italic;">browse</span>  o modo de navegao por interface de usurio e assim sendo, o MapServer procurar pelo arquivo <span style="font-weight: bold;">exercicio05_web_template.html</span> que foi definido na propriedade <span style="color: gray;">TEMPLATE</span> do objeto <span style="color: gray;"><span style="font-weight: bold;">WEB</span></span> na <span style="font-weight: bold;">linha 20</span> do MapFile <span style="font-weight: bold;">exercicio05.map</span>.<br />Existindo o arquivo Template, o MapServer vai processar este arquivo, e substituir todas as palavras entre colchetes(&quot;[]&quot; ) por valores especiais que sero preenchidos pelo MapServer.<br /></p><h4>Processamento do arquivo Template</h4><p>Uma vez que o arquivo template <span style="font-weight: bold;">exercicio05_web_template.html</span> foi encontrado pelo MapServer, ser realizada a substituio de valores definidos entre colchetes por valores gerados pelo MapServer em tempo de execuo. Veja logo abaixo, uma lista das substituies realizadas no arquivo <span style="font-weight: bold;">exercicio05_web_template.html</span>:<br /></p><p><span style="font-weight: bold;">Linha 6</span>: nesta linha define-se o <span style="font-style: italic;">action</span> do formulrio com o valor da varivel <span style="font-style: italic;">[program].</span> Esta varivel  enviada pela primeira vez atravs do formulrio de inicializao( no arquivo <span style="font-weight: bold;">exercicio05_iniciar.html</span> ) e deve ser mantida atravs da declarao feita na linha 8.<br /></p><p><span style="font-weight: bold;">Linha 8</span>: neste linha vemos a declarao de um objeto <span style="font-style: italic;">hidden</span> que possui seu nome definido como &quot;program&quot; e seu valor ser a substituio do texto &quot;[program]&quot; pela URL de endereo do MapServer CGI.<br /></p><p><span style="font-weight: bold;">Linha 9</span>: tal qual ocorre com a linha 8, nesta linha temos a declarao de um objeto <span style="font-style: italic;">hidden</span>, nomeado como &quot;map&quot; e seu valor ser a substituio do texto &quot;[map]&quot; pelo caminho do MapFile.<br /></p><p><span style="font-weight: bold;">Linha 10</span>: o parmetro <span style="font-style: italic;">imgext</span>  necessrio para que a aplicao contenha a informao sobre qual o retngulo envolvente atual. Ou seja, toda vez que o MapServer  executado, ele precisa saber quais as coordenadas do retngulo envolvente que a aplicao est naquele momento. O valor &quot;[mapext]&quot; ser substitudo pelas coordenadas do retngulo envolvente corrente em cada interao com a aplicao.<br /></p><p><span style="font-weight: bold;">Linha 11</span>: o parmetro <span style="font-style: italic;">imgxy</span> ter o seu valor substitudo pela string &quot;[ center ]&quot;. A palavra &quot;[ center ]&quot; calcula as coordenadas do centro da imagem em pixels. E o parmetro <span style="font-style: italic;">imgxy</span> com este valor servir para *simular* um clique bem no centro da imagem quando o usurio clicar no boto <span style="font-weight: bold;">Atualizar</span>.<br /></p><p><span style="font-weight: bold;">Linha 12</span>: o parmetro <span style="font-style: italic;">zoomsize</span> define o fator de zoom que ser usado nas operaes de aproximar(zoom in) e afastar(zoom out).<br /></p><p><span style="font-weight: bold;">Linha 14</span>: esta linha define o &quot;mapa clicvel&quot; para a aplicao. O texto &quot;[img]&quot; ser substitudo pela URL da imagem temporria que foi gerada pelo MapServer. Ou em outras palavras, em cada interao com a aplicao, o MapServer vai gerar uma imagem temporria dentro da pasta definida em MAP-&gt;WEB-&gt;IMAGEPATH, que ser a imagem resultante da solicitao do usurio. Note tambm que toda vez que o usurio clica sobre este mapa de navegao, so enviados para o MapServer CGI dois parmetros essenciais para o correto funcionamento do sistema: <b>img.x</b> e <b>img.y</b> - estes parmetros so as coordenadas( em pixels) do exato ponto clicado pelo usurio.<br /></p><p><span style="font-weight: bold;">Linhas 18, 19 e 20</span>: essas trs linhas definem os controles de Zoom da aplicao. O parmetro <span style="font-style: italic;">zoomdir</span> pode assumir 3(trs) valores: 1 para aproximar(zoom in), 0 para mover(pan) e -1 para afastar(zoom out). Os valores &quot;[zoomdir_1_check]&quot;, &quot;[zoomdir_0_check]&quot; e &quot;[zoomdir_-1_check]&quot; so processados pelo MapServer em cada interao e servem para deixar a ltima opo que o usurio escolheu j selecionada aps o processamento da interao.<br /></p><p><span style="font-weight: bold;">Linhas 25 e 26</span>: estas linhas definem os controles de exibir/ocultar layers da aplicao. Se voc ligar um destes layers e interagir na aplicao, aps o processamento da solicitao poder notar que o layer ligado anteriormente j aparecer ligado na caixa de seleo. Isto ocorre atravs do processamento das variveis &quot;[rvia_check]&quot; e &quot;[muni_check]&quot;.<br /></p><p>Uma vez que o arquivo template  processado com as devidas substituies, o resultado  apresentado no navegador do usurio como uma pgina HTML.<br /></p><p>Para melhor compreenso do processamento do arquivo template, execute uma operao qualquer na aplicao e seguida selecione a opo &quot;Exibir cdigo-fonte&quot; no navegador e ento compare o cdigo HTML resultante com o cdigo HTML definido no arquivo template.<br /></p><p><img border="1" src="../img/exercicio05_fluxo.jpg" /><br /></p><p><br />Para mais informaes sobre os parmetros usados em arquivos Template, veja na seo <span style="font-weight: bold;">Documentation</span> do site do MapServer os itens &quot;CGI Reference&quot; e &quot;Template Reference&quot;.<br /></p><p><br /></p></body>
</html>