<html >
<? include("../config.php")?>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
	<style type="text/css">
	body { font-family: Verdana, Arial, Helvetica, sans-serif;}
	a.at-term {	font-style: italic; }
	</style>
	<title>Exibindo rtulos</title>
	<link rel="stylesheet" type="text/css" href="../map.css"/>
	<link rel="stylesheet" type="text/css" href="../template_css.css" />
</head>
<body> <p><br />Alm
de cores e simbologias, outro componente essencial para a interpretao
de mapas so os rtulos ( textos). Os rtulos so textos que se
posicionam sobre ou ao lado de feies geogrficas para auxiliar o
usurio na identificao de objetos.<br />Veja neste captulo como criar rtulos para exibir o nome de cada cidade do estado de So Paulo.<br /></p><h3>FontSet</h3><p>O
MapServer possui o recurso de desenhar rtulos usando fontes bitmap ou
fontes True Type. As fontes bitmap so a opo padro do MapServer para
o desenho de textos - como exemplo, observe os textos presentes nos
objetos <b>Legenda e Barra de escala do captulo 'Legenda e Barra de Escala'</b> .<br />Usando
fontes True Type  possvel garantir aos textos um aspecto visual mais
agradvel que as fontes bitmap. E para utilizao de fontes True Type,
 necessrio o uso de um arquivo FontSet.<br />O FontSet  um arquivo
texto que contm uma lista das fontes True Type que podero ser usadas
por um dado MapFile. No contedo do arquivo FontSet cada linha deve
conter:<br /></p><ul><li>na primeira coluna, um nome para a fonte especificada;</li><li>e na segunda coluna, o caminho( relativo ou absoluto) para o arquivo .ttf da referida fonte True Type.</li></ul>1. Crie um arquivo chamado <span style="font-weight: bold;">fontset.txt</span> na pasta:<br /><p><img src="../img/icon_windows.png" alt="Windows" /> <span style="color: blue;"><font face="Courier">C:/ms4w/apps/mapserver-intro-pt/mapfiles/</font></span> <br />ou <img src="../img/icon_linux.png" alt="Linux" /> <span style="color: blue;"><font face="Courier">/var/www/html/mapserver-intro-pt/mapfiles/<br /></font><br /></span></p>2. Edite o arquivo <span style="font-weight: bold;">fontset.txt</span> e insira nele o seguinte contedo:<br /><pre>fte_fritqat      fritqat.ttf<br />fte_vera         Vera.ttf</pre><br />3. Em seguida, clique <a target="_blank" href="webmapit-intro_mapserver-fonts.zip">aqui</a> para fazer o download dos arquivos .ttf das fontes citadas acima. Descompacte o arquivo  <br><span style="color: blue;"><font face="Courier">webmapit-intro_mapserver-fonts.zip</font></span> no mesmo local do arquivo <span style="font-weight: bold;">fontset.txt</span> .<br /><br /><h3>MapFile</h3>1. Crie um arquivo chamado <span style="font-weight: bold;">exercicio09.map</span> na pasta:<br /> <img alt="Windows" src="../img/icon_windows.png" /> <span style="color: blue;"><font face="Courier">C:/ms4w/apps/mapserver-intro-pt/mapfiles/ </font></span> <br />ou <img alt="Linux" src="../img/icon_linux.png" /> <span style="color: blue;"><font face="Courier">/var/www/html/mapserver-intro-pt/mapfiles/<br /></font></span><p></p>2. Edite o arquivo <span style="font-weight: bold;">exercicio09.map</span> e insira nele o seguinte contedo:<br /><span><span class="S11">MAP</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">EXTENT</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S10">-</span><span class="S2">53.11</span><span class="S0"> </span><span class="S10">-</span><span class="S2">25.312</span><span class="S0"> </span><span class="S10">-</span><span class="S2">44.161</span><span class="S0"> </span><span class="S10">-</span><span class="S2">19.779</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">SHAPEPATH</span><span class="S0">&nbsp; &nbsp;</span><span class="S3">"../mapas/"</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">SIZE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">400</span><span class="S0"> </span><span class="S2">300</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">STATUS</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">ON</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"exercicio09"</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">UNITS</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DD</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">FONTSET</span><span class="S0">&nbsp;&nbsp; &nbsp; </span><span class="S3">"fontset.txt"</span><span class="S0"> </span><span class="S1"># linha 8: define o caminho do arquivo FontSet</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">SYMBOL</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"SYM_CIRCULO"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">ELLIPSE</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">FILLED</span><span class="S0">&nbsp; &nbsp; &nbsp; </span><span class="S11">TRUE</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">POINTS</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">1</span><span class="S0"> </span><span class="S2">1</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">SYMBOL</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"SYM_PONTO"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">PIXMAP</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">IMAGE</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; </span><span class="S3">"alfinete.png"</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">WEB</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">IMAGEPATH</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; </span><span class="S3">"/ms4w/tmp/ms_tmp/"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">IMAGEURL</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"/ms_tmp/"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TEMPLATE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"exercicio09_web_template.html"</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LEGEND</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">IMAGECOLOR</span><span class="S0">&nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">255</span><span class="S0"> </span><span class="S2">255</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">KEYSIZE</span><span class="S0"> &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">12</span><span class="S0"> </span><span class="S2">10</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">STATUS</span><span class="S0"> &nbsp;&nbsp; &nbsp; </span><span class="S11">ON</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">SCALEBAR</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">STYLE</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">BACKGROUNDCOLOR</span><span class="S0">&nbsp;</span><span class="S2">192</span><span class="S0"> </span><span class="S2">192</span><span class="S0"> </span><span class="S2">192</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">INTERVALS</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">3</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">OUTLINECOLOR</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">SIZE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">200</span><span class="S0"> </span><span class="S2">3</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">STATUS</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">ON</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">UNITS</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">KILOMETERS</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">REFERENCE</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">IMAGE</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"referencia.png"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">EXTENT</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S10">-</span><span class="S2">53.11</span><span class="S0"> </span><span class="S10">-</span><span class="S2">25.312</span><span class="S0"> </span><span class="S10">-</span><span class="S2">44.161</span><span class="S0"> </span><span class="S10">-</span><span class="S2">19.779</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">SIZE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">100</span><span class="S0"> </span><span class="S2">75</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">OUTLINECOLOR</span><span class="S0">&nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S10">-</span><span class="S2">1</span><span class="S0"> </span><span class="S10">-</span><span class="S2">1</span><span class="S0"> </span><span class="S10">-</span><span class="S2">1</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">MAXBOXSIZE</span><span class="S0">&nbsp; &nbsp; &nbsp; </span><span class="S2">74</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">STATUS</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">ON</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LAYER</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"uf"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">POLYGON</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DATA</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sp_uf"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">STATUS</span><span class="S0">&nbsp; </span><span class="S11">DEFAULT</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"So Paulo"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">OUTLINECOLOR</span><span class="S0">&nbsp; &nbsp; </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">255</span><span class="S0"> </span><span class="S2">192</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LAYER</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"muni"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">POLYGON</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DATA</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sp_muni"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"Municpios"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">OUTLINECOLOR</span><span class="S0">&nbsp; &nbsp; </span><span class="S2">144</span><span class="S0"> </span><span class="S2">144</span><span class="S0"> </span><span class="S2">144</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">192</span><span class="S0"> </span><span class="S2">192</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LAYER</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"rvia"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">LINE</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DATA</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sp_rvia"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASSITEM</span><span class="S0">&nbsp; &nbsp;</span><span class="S3">"PRINCIPAL"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"Rodovia principal"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">128</span><span class="S0"> </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">EXPRESSION</span><span class="S0">&nbsp; &nbsp; &nbsp; </span><span class="S3">"SIM"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><span class="S0">&nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"Rodovia secundria"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">32</span><span class="S0"> </span><span class="S2">64</span><span class="S0"> </span><span class="S2">128</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">EXPRESSION</span><span class="S0">&nbsp; &nbsp; &nbsp; </span><span class="S3">"NAO"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LAYER</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sede"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">POINT</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DATA</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sp_sede"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"Sedes municipais"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">255</span><span class="S0"> </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">SYMBOL</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"SYM_CIRCULO"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">SIZE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">3</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">LABEL</span><span class="S0"> </span><span class="S1"># linha 107: inicia a declarao do objeto Label ( rtulo)</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><span class="S0"> </span><span class="S2">0</span><span class="S0"> </span><span class="S1"># linha 108: define a cor do texto</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TRUETYPE</span><span class="S0"> </span><span class="S1"># linha 109: o tipo do texto pode ser TRUETYPE ou BITMAP</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># Quando for TRUETYPE  necessrio a existncia de um arquivo FontSet e tambm</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># deve-se definir, no objeto LABEL, o nome da fonte True Type a ser usada</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">FONT</span><span class="S0"> &nbsp; &nbsp;&nbsp; &nbsp; </span><span class="S3">"fte_vera"</span><span class="S0"> </span><span class="S1"># linha 112: define o nome da fonte a ser usada no desenho do texto</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">SIZE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S2">8</span><span class="S0"> </span><span class="S1"># linha 113: define a altura( em pixels) ou tamanho do texto</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">POSITION</span><span class="S0">&nbsp; &nbsp; </span><span class="S11">AUTO</span><span class="S0"> </span><span class="S1"># linha 114: usando POSITION = AUTO o MapServer calcular a melhor</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># forma de distribuio dos objeto de texto, de modo que no haja coliso entre um objeto de texto e outro</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">LABELITEM</span><span class="S0">&nbsp; &nbsp;</span><span class="S3">"NOME"</span><span class="S0"> </span><span class="S1"># linha 118: especifica qual campo( atributo) do ShapeFile 'sp_sede' dever</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># ser desenhado na forma de texto ao lado de cada objeto geogrfico</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">LABELMAXSCALE</span><span class="S0">&nbsp; &nbsp;</span><span class="S2">2500000</span><span class="S0"> </span><span class="S1"># linha 120: especifica que os textos somente sero desenhado</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S1"># at a escala limite de 1:2.500.000 . Por exemplo, na escala de 1:5.000.000 no aparecero os textos</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">LAYER</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"capital"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">TYPE</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">POINT</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">DATA</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"sp_sede"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASSITEM</span><span class="S0">&nbsp; &nbsp;</span><span class="S3">"NOME"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">CLASS</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">EXPRESSION</span><span class="S0">&nbsp; &nbsp; &nbsp; </span><span class="S3">"SAO PAULO"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">NAME</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"Capital"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">SYMBOL</span><span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S3">"SYM_PONTO"</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">COLOR</span><span class="S0">&nbsp; &nbsp;&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S10">-</span><span class="S2">1</span><span class="S0"> </span><span class="S10">-</span><span class="S2">1</span><span class="S0"> </span><span class="S10">-</span><span class="S2">1</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; &nbsp; &nbsp; </span><span class="S11">STATUS</span><span class="S0">&nbsp; &nbsp; &nbsp; </span><span class="S11">DEFAULT</span><br />
<span class="S0">&nbsp; &nbsp; </span><span class="S11">END</span><br />
<span class="S0">&nbsp; &nbsp; </span><br />
<span class="S11">END</span><br />
<span class="S0"></span></span><br /><br /><h3>Formulrio de inicializao</h3><p>1. Crie um arquivo chamado <span style="font-weight: bold;">exercicio09_iniciar.html</span> na pasta:<br /></p>

<img alt="Windows" src="../img/icon_windows.png" /> <span style="color: blue;"><font face="Courier">C:/ms4w/apps/mapserver-intro-pt/mapfiles/</font></span> <br />ou <img alt="Linux" src="../img/icon_linux.png" /> <span style="color: blue;"><font face="Courier">/var/www/html/mapserver-intro-pt/mapfiles/<br /></font></span>

<p>2. Edite o arquivo <span style="font-weight: bold;">exercicio09_iniciar.html</span> e defina seu contedo de acordo com sua plataforma(Windows ou Linux).<br /></p>
<img src="../img/icon_windows.png" alt="Windows" /><span style="font-style: italic;">verso Windows</span>: clique <a target="_show" href="../html/exercicio09_iniciar-windows-dump.html">aqui</a> para visualizar.<br /><br /><img src="../img/icon_linux.png" alt="Linux" /><span style="font-style: italic;">verso Linux</span>: clique <a target="_show" href="../html/exercicio09_iniciar-linux-dump.html">aqui</a> para visualizar.<br /><br /><p></p><h3>Arquivo Template</h3><p>1. Crie um arquivo chamado <span style="font-weight: bold;">exercicio09_web_template.html</span> na pasta:<br /><img src="../img/icon_windows.png" alt="Windows" /> <span style="color: blue;"><font face="Courier">C:/ms4w/apps/mapserver-intro-pt/mapfiles/</font></span> <br />ou <img src="../img/icon_linux.png" alt="Linux" /> <span style="color: blue;"><font face="Courier">/var/www/html/mapserver-intro-pt/mapfiles/<br /></font></span>

<br />2. Edite o arquivo <span style="font-weight: bold;">exercicio09_web_template.html</span> e insira nele o seguinte contedo:<br /></p><ul><li>clique <a target="_show" href="../html/exercicio09_web_template-dump.html">aqui</a> para visualizar.</li></ul><br /><p></p><h3>Resultado</h3><p>Para testar, abra uma janela do seu navegador e digite o endereo:<br /><a href="<? echo $szHost;?>mapserver-intro-pt/mapfiles/exercicio09_iniciar.html" target="_show"><? echo $szHost;?>mapserver-intro-pt/mapfiles/exercicio09_iniciar.html</a><br /></p><p>Em seguida, clique no boto <span style="font-weight: bold;">Iniciar</span> e depois efetue operaes de &quot;Aproximar&quot; at que os rtulos do layer &quot;Sedes municipais&quot; comecem a aparecer.<br /><br /></p><br /></body>
</html>